%define		plugin		lightbox
%define		ver			2012-08-08
%define		rpmver		%(echo %{ver} | tr -d -)
Summary:	DokuWiki Lightbox plugin
Summary(pl.UTF-8):	Wtyczka lightbox dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	%{rpmver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/downloads/glensc/dokuwiki-plugin-lightboxv2/lightbox-%{ver}.zip
# Source0-md5:	3bb365f181fe18520154f8debb9931d4
URL:		http://www.dokuwiki.org/plugin:lightboxv2
BuildRequires:	unzip
Requires:	dokuwiki >= 20111110
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}

%description
Plugin to integrate Lightbox JavaScript animation in DokuWiki.

%prep
%setup -qc
mv %{plugin}/* .

version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ $(echo "$version" | tr -d -) != %{version} ]; then
	: %%{version} mismatch, should be: $(echo "$version" | tr -d -)
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/AUTHORS

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS
%dir %{plugindir}
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/images
%changelog
* Sat Aug 18 2012 Elan Ruusamäe <glen@delfi.ee> 334cd91
- up to 2012-08-08

* Sun Jul 15 2012 Elan Ruusamäe <glen@delfi.ee> 26fbd9a
- build from src

* Tue Jan 03 2012 Elan Ruusamäe <glen@pld-linux.org> 9e3b588
- up to 20120103, for Angua and only for Angua

* Thu Nov 24 2011 Elan Ruusamäe <glen@pld-linux.org> 0e7fd6b
- use github build

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> f9db040
- on DEVEL branch only

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> 372f2a5
- build using tarball, releng version on DEVEL branch

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> e81ac42
- some release engineering

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> 7b6f32f
- version by todays date

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> ceaa824
- patch original files

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> a10348f
- enable konqueror patch

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> ebc2766
- workaround for dw js compress going bezerk on seeing single quote in this regexp

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> e45b1ea
- compress the .js

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> df1ed66
- konqueror support
- scriptaculous.js (.js loader) not needed if scripts are already concat

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> 3c1409f
- recognize konqueror from kde3 as WebKit to setup dom:loaded event emulation

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> f64bc34
- add blank.gif

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> a2010b2
- cleanup

* Thu Mar 12 2009 Elan Ruusamäe <glen@pld-linux.org> ae8b679
- just collect diffs against original lightboxy 2.04 and resulting this tarball:
  http://laurent.beneytout.free.fr/lib/exe/fetch.php?media=projects:lightbox.zip
  using the instructions: http://laurent.beneytout.free.fr/doku.php?id=projects:lightbox

* Wed Mar 11 2009 Elan Ruusamäe <glen@pld-linux.org> ac30c10
- new

